/*
** Module   : CustomExtentMethod.java
** Abstract : Annotation used to declare custom method for denormalized field with extent.
**
** Copyright (c) 2014, Golden Code Development Corporation.
** ALL RIGHTS RESERVED. Use is subject to license terms.
**
**           Golden Code Development Corporation
**                      CONFIDENTIAL
**
** -#- -I- --Date-- ---------------------------------Description----------------------------------
** 001 VMN 20140105 Created initial version.
*/

package com.goldencode.p2j.persist;

import java.lang.annotation.*;

/**
 * Annotation definition to specify custom method used for some index of denormalized field
 * with extent.
 */
@Target(ElementType.METHOD)
@Retention(RetentionPolicy.RUNTIME)
public @interface CustomExtentMethod
{
   /** The name of custom method used for specified index of field with extent. */
   String name();
}
