/*
** Module   : CustomExtentProperty.java
** Abstract : Annotation used to declare property name for indexed getters/setters of
**            denormalized field with extent.
**
** Copyright (c) 2014, Golden Code Development Corporation.
** ALL RIGHTS RESERVED. Use is subject to license terms.
**
**           Golden Code Development Corporation
**                      CONFIDENTIAL
**
** -#- -I- --Date-- ---------------------------------Description----------------------------------
** 001 VMN 20140105 Created initial version.
*/

package com.goldencode.p2j.persist;

import java.lang.annotation.*;

/**
 * Annotation definition to declare property name for indexed getters/setters of denormalized
 * field with extent.
 */
@Target(ElementType.METHOD)
@Retention(RetentionPolicy.RUNTIME)
public @interface CustomExtentProperty
{
   /** Property name for indexed getters/setters of denormalized field with extent. */
   String name();
}
